# Uses of Interface
org.bukkit.entity.AnimalTamer

Packages that use AnimalTamer
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of AnimalTamer in org.bukkit

Subinterfaces of AnimalTamer in org.bukkit
Modifier and Type
Interface
Description
`interface`
`OfflinePlayer`

## Uses of AnimalTamer in org.bukkit.entity

Subinterfaces of AnimalTamer in org.bukkit.entity
Modifier and Type
Interface
Description
`interface`
`HumanEntity`
Represents a human entity, such as an NPC or a player
`interface`
`Player`
Represents a player, connected or not
Methods in org.bukkit.entity that return AnimalTamer
Modifier and Type
Method
Description
`@Nullable AnimalTamer`
Fox.`getFirstTrustedPlayer()`
Gets the first trusted player.
`@Nullable AnimalTamer`
Tameable.`getOwner()`
Gets the current owning AnimalTamer
`@Nullable AnimalTamer`
Fox.`getSecondTrustedPlayer()`
Gets the second trusted player.
Methods in org.bukkit.entity with parameters of type AnimalTamer
Modifier and Type
Method
Description
`void`
Fox.`setFirstTrustedPlayer(@Nullable AnimalTamer player)`
Set the first trusted player.
`void`
Tameable.`setOwner(@Nullable AnimalTamer tamer)`
Set this to be owned by given AnimalTamer.
`void`
Fox.`setSecondTrustedPlayer(@Nullable AnimalTamer player)`
Set the second trusted player.

## Uses of AnimalTamer in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return AnimalTamer
Modifier and Type
Method
Description
`@NotNull AnimalTamer`
EntityTameEvent.`getOwner()`
Gets the owning AnimalTamer
Constructors in org.bukkit.event.entity with parameters of type AnimalTamer
Modifier
Constructor
Description
``
`EntityTameEvent(@NotNull LivingEntity entity, @NotNull AnimalTamer owner)`